Subject: Re: FVWM: _NET_WM_STATE_FULLSCREEN implementation of fvwm

From: Jochen Eisinger <[email-masked]>
Date: Mon, 27 Sep 2004 22:29:41 +0200

Hi,

Again using CVS, the hints_test indeed shows the right behaviour,
OpenOffice 1.1.2 however does not. If I select (for an oo presentation)
Slide Show -> Slide Show I get only an full screen window, if the
OpenOffice main window is already full-screen (in size). I.e. I have to
resize OpenOffice to 1024x768 in my case and the start the full-screen
mode, otherwise the "full-screen" window is about the same size as the
normal window.

kind regards
-- jochen

Dominik Vogt wrote:
> On Sat, May 08, 2004 at 10:00:19PM +0200, Jochen Eisinger wrote:
>
>>Hi,
>>
>>it appears to me as if the _NET_WM_STATE_FULLSCREEN was not acting
>>according to the EMWH standard:
>>
>>from http://freedesktop.org/Standards/wm-spec/index.html
>>
>>"_NET_WM_STATE_FULLSCREEN indicates that the window should fill the
>>entire screen and have no window decorations. For example, a
>>presentation program would use this hint."
>>
>>however, the command (after changing "if" to "else if" in line 280)
>>
>>$ ./hints_test --ewmh-state fullscreen
>>
>>creates a window without decorations but just 170x100 pixels in size.
>>
>>This behaviour results in various "bugs" like OpenOffice Impress not
>>correctly displaying slide shows etc..
>>
>>I'm using CVS to test this btw.
>
>
> Fixed.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].